> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tickets

> List all tickets.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/tickets
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tickets:
    get:
      tags:
        - Tickets
      summary: List Tickets
      description: List all tickets.
      operationId: core_api_v1_controllers_tickets_list_tickets
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
        - in: query
          name: status
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
          required: false
        - in: query
          name: priority
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Priority
          required: false
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
        - in: query
          name: start_date
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
          required: false
        - in: query
          name: end_date
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
          required: false
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````